{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.mole.idle": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "!query.timer_flag_1&&!query.timer_flag_2&&!query.timer_flag_3&&!query.is_sheared"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.mole.dig_start": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"dig_start": "query.timer_flag_2"
						}
					]
				}
			}
		},
		"controller.animation.mole.dig": {
			"initial_state": "dig",
			"states": {
				"dig": {
					"animations": [
						{
							"dig": "query.is_sheared"
						}
					]
				}
			}
		},
		"controller.animation.mole.looking_out": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"looking_out": "query.timer_flag_1"
						}
					]
				}
			}
		}
	}
}